Bug 588638 - [abrt] crash in kernel: Your BIOS is broken; DMAR reported at address fed90000 returns all ones!
[abrt] crash in kernel: Your BIOS is broken; DMAR reported at address fed9000...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
abrt_hash:425318465
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 03:13 EDT by Michal Haško
Modified: 2015-03-01 22:59 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-84.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:40:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Haško 2010-05-04 03:13:04 EDT
abrt 1.0.7 detected a crash.

architecture: x86_64
cmdline: not_applicable
component: kernel
executable: kernel
kernel: 2.6.32-22.el6.x86_64
package: kernel
reason: ------------[ cut here ]------------
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)

comment
-----
After GNOME login, I recieved this error
Running on Intel® Core™2 Quad CPU Q9400 @ 2.66 GHz, 3.7 GiB of memory

kerneloops
-----
------------[ cut here ]------------
WARNING: at drivers/pci/dmar.c:636 check_zero_address+0x158/0x1a4() (Not tainted)
Hardware name: HP xw4600 Workstation
Your BIOS is broken; DMAR reported at address fed90000 returns all ones!
BIOS vendor: Hewlett-Packard; Ver: 786F3 v01.21; Product Version:  
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.32-22.el6.x86_64 #1
Call Trace:
[<ffffffff81067d43>] warn_slowpath_common+0x83/0xc0
[<ffffffff81067de1>] warn_slowpath_fmt+0x41/0x50
[<ffffffff818e86f7>] check_zero_address+0x158/0x1a4
[<ffffffff812ca2ab>] ? acpi_get_table_with_size+0x5a/0xb4
[<ffffffff814d08b5>] ? _etext+0x0/0x3
[<ffffffff818e8755>] detect_intel_iommu+0x12/0x91
[<ffffffff818c4363>] pci_iommu_alloc+0x5e/0x6c
[<ffffffff818d4ba7>] mem_init+0x19/0xec
[<ffffffff818bccb7>] start_kernel+0x20c/0x401
[<ffffffff818bc33a>] x86_64_start_reservations+0x125/0x129
[<ffffffff818bc438>] x86_64_start_kernel+0xfa/0x109
Comment 2 RHEL Product and Program Management 2010-05-04 04:30:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Eric Sandeen 2010-05-04 12:29:00 EDT
Looks like a hardware error not a bug, so we should probably drop the WARN_ON and the dump_stack() so abrt isn't triggered.
Comment 4 Prarit Bhargava 2010-05-17 10:14:04 EDT
(In reply to comment #3)
> Looks like a hardware error not a bug, so we should probably drop the WARN_ON
> and the dump_stack() so abrt isn't triggered.    

Agreed.

P.
Comment 6 Prarit Bhargava 2010-07-14 09:22:11 EDT
We can leave this as is for RHEL6 as abrt will not generate further reports of this on this HW.

P.
Comment 7 Prarit Bhargava 2010-07-14 15:21:00 EDT
Let's actually use this BZ to introduce the world (well ... the RH world) to FW_BUG, FW_INFO, and FW_WARN as well as TAINT_FIRMWARE_WORKAROUND.

P.
Comment 9 RHEL Product and Program Management 2010-10-04 21:50:30 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 10 Aristeu Rozanski 2010-12-13 10:07:40 EST
Patch(es) available on kernel-2.6.32-89.el6
Comment 13 KernelOops Bot 2011-01-14 00:28:45 EST
warns with this stack:  bug 573874 bug 598059 bug 602547 bug 632500
 with this guiltyfunc:  bug 579563
Comment 18 errata-xmlrpc 2011-05-19 08:40:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.